package com.adventurer_engine.common.items;

package .tmp;

import by;
import cg;
import cl;
import com.adventurer_engine.util.JsonHelper;
import com.google.gson.internal.StringMap;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import java.io.File;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import ww;

public class TabsLoader {
  public static final ww GADGETS = (ww)new Object("ade_gadgets");
  
  public static final StringMap<ww> tabs = new StringMap();
  
  public static final Map<Integer, ww> numTabs = new HashMap<Integer, ww>();
  
  public static void load(FMLPreInitializationEvent event) {}
  
  public static ww getTab(String name) {
    return (ww)tabs.get(name);
  }
  
  public static ww getTab(int id) {
    return numTabs.get(Integer.valueOf(id));
  }
  
  public static void load(by nbt) {
    if (nbt.b("ItemGroup")) {
      cg ls = nbt.m("ItemGroup");
      for (int i = 0; i < ls.c(); i++) {
        cl tmp = ls.b(i);
        if (tmp instanceof by) {
          by group = (by)tmp;
          String tabName = group.i("ItemGroupName");
          int iconID = group.e("IconItemID");
          int groupID = group.e("ItemGroupID");
          numTabs.put(Integer.valueOf(groupID), new Object(tabName, iconID));
        } 
      } 
    } 
  }
  
  private static void loadJson(FMLPreInitializationEvent event) {
    JsonHelper json = new JsonHelper(new File(event.getModConfigurationDirectory().getParentFile().getPath() + File.separator + "RCS" + File.separator + "index.json"));
    List<StringMap> tabDatas = json.getList("tabs");
    for (StringMap data : tabDatas) {
      JsonHelper tabData = new JsonHelper(data);
      String tabName = tabData.getString("name");
      int iconID = tabData.getInt("icon");
      int finalIconID = iconID;
      Object object = new Object(tabName, finalIconID);
      tabs.put(tabName, object);
    } 
  }
}
